#include <sys/types.h>
#include "native_signal.h"
#include "support.h"
#include <oskit/x86/base_trap.h>

/*
 * defined by libkern
 */

int phys_mem_max;
int phys_mem_va;
int base_stack_start;
int (*base_trap_handlers[BASE_TRAP_COUNT])(struct trap_state *ts) = { };

/* 
 * The C library will call this function to say where we should deliver
 * signals.  The C library expects us to deliver all signals to that
 * address.  Some signals we cannot deliver in a straightforward way,
 * so include only a few that are essential for now.
 */
typedef void (*deliver_func_t)(int, int, struct sigcontext *);

void oskit_sendsig_init(deliver_func_t f) 
{
	set_signal_handler(SIGSEGV, f);
	set_signal_handler(SIGBUS, f);
	set_signal_handler(SIGFPE, f);
	/* more ??? */
}
