/*
 * @COPYRIGHT@
 *
 * Scout Version 1.0
 * 
 * Copyright 1998 Arizona Board of Regents, on behalf of
 *         The University of Arizona
 *         All Rights Reserved
 *
 *
 *                        Copyright (c) 1987 Bellcore
 *                            All Rights Reserved
 *       Permission is granted to copy or use this program, EXCEPT that it
 *       may not be sold for profit, the copyright notice must be reproduced
 *       on copies, and credit should be given to Bellcore where it is due.
 *       BELLCORE MAKES NO WARRANTY AND ACCEPTS NO LIABILITY FOR THIS PROGRAM.
 *
 * @COPYRIGHT@
 *
 * $\RCSfile: bit_open.c,v $
 *
 * HISTORY
 * $\Log: bit_open.c,v $
 * Revision 1.3  1998/01/31 18:43:02  mjk
 * replaced copyright
 *
 * Revision 1.2  1998/01/28 18:23:56  mjk
 * copyright
 *
 * Revision 1.1  1997/04/15 18:15:49  acb
 * Initial revision
 *
 * Revision 1.1  1997/03/25 22:19:39  acb
 * Initial revision
 *
 * Revision 1.1  1997/03/12 18:01:14  acb
 * Initial revision
 *
 * Revision 1.2  1996/12/19  21:12:41  acb
 * * Eliminated most global variables
 * * Rlogin windows can be created from menu
 * * 'Destroy window' and 'quit' menu options work now
 * * Moved location of header files
 * * Many small display glitches fixed
 *
 * Revision 1.1  1996/10/22 23:53:34  abhiram
 * Initial revision
 *
 */


/*{{{}}}*/
/*{{{  #includes*/
#include <bitblit.h>
#include <share.h>
#include <stdlib.h>
/*}}}  */

/*{{{  bit_open.c*/
BITMAP *bit_open(DATA *data, int wide, int high, int depth, int stride)
{
  BITMAP *result = (BITMAP*)0;

  result = malloc(sizeof (BITMAP));
  if (!result)
      return result;

  result->primary = result;
  
  result->data = data;

  result->depth = depth;
  result->wide = wide;
  result->high = high;
  result->stride = stride;
    
  result->x0 = 0;
  result->y0 = 0;
  result->type = _SCREEN;
  result->cache = 0;
  result->color = 0;
  result->id = 0;	/* set elsewhere? */

  return result;
}
/*}}}  */



